<?php
require_once('experiment001.php');

class play_tweets extends experiment001 {

	function __construct(){
		parent::__construct();
	}

	function main(){
		$tracks_data = @file_get_contents($this->qfile);
		$tracks = explode("\n", $tracks_data);
		if(is_array($tracks) && ($tracks[0])){
			list($trackid, $artist, $title, $duration, $from_user) = explode('|', $tracks[0]);
			echo 'play '.$artist.' - '.$title."\n";
			$this->send_tweet('Currently playing a song from @'.$from_user.' in our office: '.$artist.' - '.$title.'. http://earthpeople.se');
			system('open spotify:track:'.$trackid);
			$this->talk($artist.' - '.$title.' sent by '.$from_user);
			@file_put_contents($this->logfile, $tracks[0].'|'.date('Y-m-d H:i:s')."|\n", FILE_APPEND);
			unset($tracks[0]);
			$data = implode("\n", $tracks);
			file_put_contents($this->qfile, $data);
			$this->update_db($trackid, date('Y-m-d H:i:s'));
			if($duration > 360){ # play only first 6 minutes of a song
				$duration = 360;
			}
			sleep(floor($duration));
		}else{
			sleep(5);
		}
		$this->main();
	}

}

new play_tweets;